Subject: Re: bug#32575: [Cuirass] Filter results by architecture

From: Ricardo Wurmus <[email-masked]>
Date: Thu, 30 Aug 2018 10:09:17 +0200

Hi Joshua,

> Ricardo Wurmus <[email-masked]> writes:
>
>> The Cuirass web interface shows the number of successful, failed, and
>> pending builds for each evaluation.  Looking at just these numbers it is
>> impossible to tell, how each of the supported architectures is affected.
>>
>> It would be good if we could separate the view by architecture.  Then we
>> could more easily determine that a change broke many builds for one
>> architecture while fixing builds on another.
>>
>> One way to do this would be to accept an optional query variable, e.g.
>>
>>     http://ci.guix.info/jobset/guix-master?system=x86_64-linux
>
> That is an option.  Another one is using a REST API.  It seems to have
> all the hype these days.  So the URL would turn into:
>
>      http://ci.guix.info/jobset/guix-master/system/x86_64-linux
>
> Though I freely admit, I don't completely understand the benefits of REST.

REST doesn’t quite apply here, because we only use GET — the Cuirass web
interface is read-only.  A big part of REST is to use HTTP verbs in an
appropriate manner and keep the URLs as resource identifiers the same
for all verbs.

What you refer to is the related trend to using Clean URLs:

    https://en.wikipedia.org/wiki/Clean_URL

These are often used with a RESTful API.

I think that filtering of a dynamic resource could very well be done
with a GET query string.  A Clean URL would make more sense for
something that doesn’t change as quickly (e.g. a particular product in a
catalogue).

--
Ricardo